using System;

namespace Upsilon.BaseTypes.UserData
{
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Enum | AttributeTargets.Interface, Inherited = false)]
    public class UpsilonUserDataAttribute : Attribute
    {
        public UpsilonUserDataAttribute(string name)
        {
            Name = name;
        }

        public string Name { get; }
    }
}