using Upsilon.BaseTypes;
using Upsilon.Evaluator;
using Upsilon.Text;

namespace Upsilon.Binder
{
    public abstract class BoundExpression : BoundNode
    {
        protected BoundExpression(TextSpan span) : base(span)
        {
        }

        public abstract TypeContainer ValueType { get; }

        internal abstract ScriptType Evaluate(EvaluationScope scope, Diagnostics diagnostics, ref EvaluationState state);
    }
}