using System.Collections.Generic;
using System.Linq;
using Upsilon.BaseTypes.ScriptFunction;

namespace Upsilon.Evaluator
{
    public class Stacktrace
    {
        private readonly Stack<ScriptFunction> _stack = new Stack<ScriptFunction>();

        public void Push(ScriptFunction statement)
        {
            _stack.Push(statement);
        }

        public ScriptFunction Pop()
        {
            return _stack.Pop();
        }

        public IEnumerable<ScriptFunction> GetTopStack(int i)
        {
            return _stack.Take(i);
        }
    }
}