using System.Collections;
using Upsilon.Evaluator;
using Upsilon.Text;

namespace Upsilon.Binder
{
    public abstract class BoundStatement : BoundNode
    {
        protected BoundStatement(TextSpan span) : base(span)
        {
        }

        internal bool HasBreakpoint { get; set; }

        internal abstract void Evaluate(EvaluationScope scope, Diagnostics diagnostics, ref EvaluationState state);

        internal abstract IEnumerator EvaluateCoroutine(EvaluationScope scope, Diagnostics diagnostics,
            EvaluationState state);
    }
}