using System.Collections.Generic;
using Upsilon.BaseTypes;
using Upsilon.BaseTypes.ScriptTable;
using Upsilon.BaseTypes.ScriptTypeInterfaces;
using Upsilon.BaseTypes.UserData;
using Upsilon.Text;

namespace Upsilon.StandardLibraries
{
    internal class ListLibrary
    {
        [ScriptFunction("contains", "Returns a boolean that defines whether a table contains a value", directScriptManipulation: true)]
        public ScriptBoolean Contains(IIterable table, ScriptType obj)
        {
            return table.Contains(obj);
        }

        [ScriptFunction("remove", "Removes an object from a table.", directScriptManipulation: true)]
        public void Remove(IIterable scriptTable, ScriptType obj)
        {
            scriptTable.Delete(obj);
        }
    }
}